<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getPurchasedServerCost](./bitburner.ns.getpurchasedservercost.md)

## NS.getPurchasedServerCost() method

Get cost of purchasing a server.

**Signature:**

```typescript
getPurchasedServerCost(ram: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  ram | number | Amount of RAM of a potential purchased server, in GB. Must be a power of 2 (2, 4, 8, 16, etc.). Maximum value of 1048576 (2^20). |

**Returns:**

number

The cost to purchase a server with the specified amount of ram.

## Remarks

RAM cost: 0.25 GB

Returns the cost to purchase a server with the specified amount of ram.

## Example


```js
const ram = 2 ** 20;
const cost = ns.getPurchasedServerCost(ram);
ns.tprint(`A purchased server with ${ns.formatRam(ram)} costs ${ns.formatMoney(cost)}`);
```

